@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+KR:wght@100..900&display=swap');
@import url('https://cdn.rawgit.com/moonspam/NanumSquare/master/nanumsquare.css');

@font-face {
  font-family: "SMTOWN";
  src: url("/resources/fonts/SMTOWN(OTF)-REGULAR.otf") format("opentype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "SMTOWN";
  src: url("/resources/fonts/SMTOWN(OTF)-MEDIUM.OTF") format("opentype");
  font-weight: 500;
  font-style: normal;
}

:root {
  --primary: #f385a1;
  --secondary: #58595b;
  --border: #E9E9E9;

  --font-base: "NanumSquare", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "Apple SD Gothic Neo", Arial, sans-serif;
  --font-noto-kr: "Noto Sans KR", sans-serif;
  --font-smtown: "SMTOWN", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "Apple SD Gothic Neo", Arial, sans-serif;

  --gnb-height: 80px;
  /* 모션 순서 */
  --index: 0;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body,
button,
h1,
h2,
h3,
h4,
h5,
input,
select,
table,
textarea {
  font-family: var(--font-base);
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  height: auto;
}

input,
button,
textarea,
select {
  font: inherit;
}

body {
  width: 100%;
  min-width: 1200px;
  background-color: #f8f8f8;
}

main {
  line-height: 1.4em;
}

a {
  text-decoration: none;
  color: inherit;
}

ul,
ol {
  list-style: none;
}

button {
  background: none;
  border: none;
  cursor: pointer;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

.container {
  width: 100%;
  max-width: 1920px;
  min-width: 1200px;
  padding: 10px;
  margin: 0 auto;
  padding-bottom: 100px;
}

.container--sm {
  max-width: 1200px;
}

.title {
  color: var(--primary);
  font-size: 46px;
  font-family: var(--font-smtown);
  font-weight: 500;
  line-height: 3;
  letter-spacing: -1px;
  text-align: center;
}

.button {
  color: #ffffff;
  line-height: 1;
  background-color: var(--primary);
  padding: 8px 12px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  cursor: pointer;
}

.button--download {
  color: #58595b;
  background-color: #ffffff;
  font-size: 12px;
  font-weight: 500;
  border: 1px solid var(--border);
}

.button--download::after {
  content: "";
  width: 20px;
  height: 20px;
  display: inline-block;
  background-image: url("/resources/images/icon/arrow-down-pink.png");
  background-repeat: no-repeat;
  background-position: center;
}

/** haeder */

.nav {
  font-family: var(--font-smtown);
  color: #000000;
  background: #ffffff;
  position: sticky;
  z-index: 100;
  top: 0;
  user-select: none;
}

.nav__static {
  font-weight: 500;
  border-bottom: 1px solid var(--border);
}

.nav__static > .container {
  padding: 0 80px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav__static .container > div:first-child a {
  display: inline-flex;
  align-items: flex-end;
  gap: 10px;
}

.nav__static .container > div:first-child a > span {
  font-size: 14px;
  font-weight: 500;
  line-height: 1;
  margin-bottom: 10px;
}

.nav__static .container > div:first-child a > span::before {
  content: "";
  width: 1px;
  height: 10px;
  background-color: #000000;
  display: inline-flex;
  margin-right: 10px;
}

.nav__static .container > div:last-child {
  height: var(--gnb-height);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
}

.nav__overlay {
  width: 100%;
  background: white;
  border-bottom: 1px solid var(--border);
  display: none;
  position: absolute;
}

.nav__overlay > .container {
  display: flex;
  justify-content: flex-end;
  padding-top: 20px;
  padding-bottom: 20px;
}

.nav__overlay > .container > div {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.nav__overlay > .container > div:nth-child(1) {
  width: 164px;
}

.nav__overlay > .container > div:nth-child(2) {
  width: 150px;
}

.nav__overlay > .container > div:nth-child(3) {
  width: 110px;
}

.nav__overlay > .container > div:nth-child(4) {
  width: 356px;
}

.nav__item {
  line-height: 24px;
  display: inline-flex;
  gap: 6px;
}

.nav__static .nav__item {
  height: 36px;
  padding: 0 16px;
  border-radius: 36px;
  align-items: center;
  justify-content: center;
}

.nav__static .nav__item.is-active {
  background: #FBE2E7;
}

.nav__overlay .nav__item {
  font-size: 14px;
}

.nav__overlay .nav__item:hover,
.nav__overlay .nav__item.is-active {
  color: var(--primary);
}

/** breadcrumb */
.breadcrumb {
  width: 100%;
  height: 45px;
  background-color: #ffffff;
  border-bottom: 1px solid var(--border);
  position: sticky;
  z-index: 1;
  top: 81px;
}

.breadcrumb > .container {
  padding: 0 80px;
}

.breadcrumb__list {
  display: flex;
}

.breadcrumb__home {
  width: 45px;
  height: 45px;
  border-left: 1px solid var(--border);
  border-right: 1px solid var(--border);
}

.breadcrumb__item {
  border-right: 1px solid var(--border);
}

.breadcrumb__select {
  width: 100%;
  position: relative;
  overflow: hidden;
}

.breadcrumb__select--1 {
  width: 200px;
}

.breadcrumb__select--2 {
  width: 270px;
}

.breadcrumb__select.is-active {
  overflow: initial;
}

.breadcrumb__select > div {
  width: 100%;
  height: 45px;
  font-size: 14px;
  line-height: 1;
  padding-left: 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  cursor: pointer;
}

.breadcrumb__select.is-active > div {
  background: #ffffff;
}

.breadcrumb__select > div::after {
  content: "";
  width: 57px;
  height: 43px;
  background-image: url("/resources/images/icon/angle-down-gray.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: inline-block;
  rotate: 0deg;
}

.breadcrumb__select.is-active > div::after {
  rotate: 180deg;
}

.breadcrumb__select > ul {
  width: 100%;
  height: 0;
  background: #ffffff;
  border: 1px solid var(--border);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: absolute;
  top: 100%;
  overflow: hidden;
  transition: all 0.3s linear;
}

.breadcrumb__select.is-active > ul {
  --count: 0;
  height: calc(45px * var(--count));
  z-index: 1;
}

.breadcrumb__select.is-active > ul > li {
  width: 100%;
  height: 45px;
  line-height: 45px;
  border-bottom: 1px solid var(--border);
}

.breadcrumb__select > ul > li:last-child {
  border-bottom: 0;
}

.breadcrumb__select > ul > li.is-focus {
  background-color: #f9f9f9;
}

.breadcrumb__select.is-active > ul > li:hover {
  color: var(--primary);
}

.breadcrumb__select > ul > li > a {
  width: 100%;
  height: 100%;
  padding: 0 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.breadcrumb__select > ul > li > a[target="_blank"]::after {
  content: "";
  width: 9px;
  height: 9px;
  background-image: url("/resources/images/icon/arrow-up-right.svg");
  background-repeat: no-repeat;
  background-position: center;
}

/** footer */
footer {
  background-color: #ffffff;
  line-height: 1.3;
}

footer .container {
  padding: 10px 80px 40px;
}

.footer__award {
  display: flex;
}

.footer__award > div {
  width: 171px;
  height: 77px;
}

.footer__award > div:nth-child(1) {
  background-image: url("/resources/images/footer/004.png");
  background-repeat: no-repeat;
  background-position: center;
}

.footer__award > div:nth-child(2) {
  background-image: url("/resources/images/footer/005.png");
  background-repeat: no-repeat;
  background-position: center;
}

.footer__award > div:nth-child(3) {
  background-image: url("/resources/images/footer/006.png");
  background-repeat: no-repeat;
  background-position: center;
}

.footer__content {
  color: #59595C;
  font-size: 11px;
  border-top: 1px solid var(--border);
  display: grid;
  grid-template-columns: 1fr 180px;
  gap: 10px;
}

.footer__content > div:first-child {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.footer__content > div:last-child {
  display: flex;
  align-items: center;
}

.footer__rule {
  color: #2E2D2D;
  padding-top: 20px;
  display: flex;
  gap: 10px;
}

.footer__rule > :first-child {
  font-weight: 900;
}

.footer__rule > :not(:first-child) {
  display: flex;
  align-items: center;
  gap: 8px;
}

.footer__rule > :not(:first-child)::before {
  content: "";
  height: 60%;
  display: block;
  border-left: 1px solid var(--border);
}

.footer__copyright {
  color: #7B7B7B;
}

/** loading */

#loading {
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 200;
}

#loading > div {
  width: 40px;
  height: 40px;
  position: relative;
}

#loading > div > div {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

#loading > div > div > div {
  width: 10%;
  height: 25%;
  position: absolute;
  opacity: 0.3;
  background: var(--primary);
  border-radius: 3px 3px 0 0;
  animation: particle-fade-delay 1.2s infinite ease-in-out both;
}

@keyframes particle-fade-delay {
  0%,
  39%,
  100% {
    opacity: 0.3;
  }
  40% {
    opacity: 1;
  }
}

/** terms */

.terms {
  width: 100%;
  font-size: 18px;
  font-family: var(--font-noto-kr);
  line-height: 1.6;
  background-color: #fefefe;
  padding: 20px;
  border: 1px solid var(--border);
}

.terms dl > dt {
  font-size: 1em;
}

.terms dl > dd {
  font-size: 0.9em;
  padding: 0.25em 0.25em;
}

.terms dl > dd + dt {
  padding-top: 0.5em;
}

.terms table {
  min-width: 100%;
  font-size: 14px;
}

.terms table :where(th, td) {
  border: 1px solid var(--border);
  padding: 2px 4px;
}

.terms dd:has(table) {
  width: 100%;
  overflow-x: auto;
}

/** move top */

.move-top {
  width: 50px;
  height: 50px;
  background-image: url("/resources/images/icon/move-top.png");
  background-repeat: no-repeat;
  margin: 0 25px 25px auto;
  position: sticky;
  bottom: 25px;
  right: 25px;
  cursor: pointer;
}

/** familiar */

.familiar {
  width: 100%;
  position: relative;
  overflow: hidden;
}

.familiar.is-active {
  overflow: initial;
}

.familiar > div {
  width: 100%;
  height: 40px;
  padding: 4px 12px;
  border: 1px solid var(--border);
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}

.familiar.is-active > div {
  background: #ffffff;
}

.familiar > div::after {
  content: "";
  width: 15px;
  height: 15px;
  background-image: url("/resources/images/icon/angle-down-pink.png");
  background-repeat: no-repeat;
  background-position: center;
  display: inline-block;
  rotate: 180deg;
}

.familiar.is-active > div::after {
  rotate: 0deg;
}

.familiar > ul {
  width: 100%;
  height: 0;
  background: #ffffff;
  border: 1px solid var(--border);
  position: absolute;
  bottom: calc(100% - 1px);
  overflow: hidden;
  transition: all 0.3s linear;
}

.familiar.is-active > ul {
  height: calc(24px * 8);
  z-index: 1;
}

.familiar.is-active > ul > li {
  width: 100%;
  height: 24px;
  display: flex;
  align-items: center;
  padding: 0 12px;
}

.familiar.is-active > ul > li:first-child {
  padding-top: 8px;
}

.familiar.is-active > ul > li:last-child {
  padding-bottom: 8px;
}

.familiar.is-active > ul li:hover {
  color: var(--primary);
}

/** motion */

.motion--fade-up {
  --time: 500;

  opacity: 0;
  transform: translateY(50px);
  transition-property: transform, opacity;
  transition-timing-function: ease-in;
  transition-duration: calc(var(--time) * 1ms);
  transition-delay: calc(var(--time) * 1ms * var(--index));
}

.motion--fade-up.is-active {
  opacity: 1;
  transform: translateY(0px);
}

.motion--fade-right {
  --time: 500;

  opacity: 0;
  transform: translateX(-50px);
  transition-property: transform, opacity;
  transition-timing-function: ease-in;
  transition-duration: calc(var(--time) * 1ms);
  transition-delay: calc(var(--time) * 1ms * var(--index));
}

.motion--fade-right.is-active {
  opacity: 1;
  transform: translateX(0px);
}

.motion--bounce-in {
  opacity: 0;
}

.motion--bounce-in.is-active {
  --time: 500;

  animation-name: bounce-in;
  animation-duration: 1s;
  animation-fill-mode: both;
  animation-delay: calc(var(--time) * 1ms * var(--index));
}

@keyframes bounce-in {
  0%,20%,40%,60%,80%,to {
    animation-timing-function: cubic-bezier(.215,.61,.355,1)
  }

  0% {
    opacity: 0;
    transform: scale3d(.3,.3,.3)
  }

  20% {
    transform: scale3d(1.1,1.1,1.1)
  }

  40% {
    transform: scale3d(.9,.9,.9)
  }

  60% {
    opacity: 1;
    transform: scale3d(1.03,1.03,1.03)
  }

  80% {
    transform: scale3d(.97,.97,.97)
  }

  to {
    opacity: 1;
    transform: scaleX(1)
  }
}

